﻿precision mediump float;
varying vec2 vUV;
uniform vec4 uColor;
uniform sampler2D sTexture;

const float amount = 0.02;
const float angle = 0.0;

void main()
{
	vec2 offset = amount * vec2( cos(angle), sin(angle));
	vec4 cr = texture2D(sTexture, vUV + offset);
	vec4 cga = texture2D(sTexture, vUV);
	vec4 cb = texture2D(sTexture, vUV - offset);
	gl_FragColor = vec4(cr.r, cga.g, cb.b, cga.a) * uColor;	
}
