﻿precision mediump float;
varying vec2 vUV;
uniform vec4 uColor;
uniform sampler2D sTexture;
uniform float uSmooth;

void main()
{
    float alpha = smoothstep(0.5 - uSmooth, 0.5 + uSmooth, texture2D(sTexture, vUV).a);
    gl_FragColor = vec4(uColor.xyz, uColor.a * alpha);
    if( gl_FragColor.a < 0.5) discard;
}